Skip to content
GridRouterhome

Search

Search providers, capabilities and pages

Docs
API referenceLogs, drains and alerts

Connect an alert destination

POST
/v1/alerts/destinations

Connect email recipients (with optional hourly or daily digests), a webhook endpoint, a Slack or Discord incoming webhook, a Microsoft Teams Workflows URL, a PagerDuty Events API v2 integration key or an Opsgenie API key. The secret is stored encrypted in the vault and never returned.

Authorization

bearer
AuthorizationBearer <token>

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

curl -X POST "https://example.com/v1/alerts/destinations" \  -H "Content-Type: application/json" \  -d '{    "name": "string",    "config": {      "type": "email",      "recipients": [        "user@example.com"      ]    }  }'
{  "object": "alert_destination",  "id": "string",  "type": "email",  "name": "string",  "enabled": true,  "min_severity": "info",  "notify_on_resolve": true,  "config": {    "type": "email",    "recipients": [      "user@example.com"    ],    "digest": "immediate"  },  "secret_hint": "string",  "health": {    "status": "idle",    "deliveries": 0,    "failures": 0,    "consecutive_failures": 0,    "last_delivery_at": "2019-08-24T14:15:22Z",    "last_success_at": "2019-08-24T14:15:22Z",    "last_failure_at": "2019-08-24T14:15:22Z",    "last_error": "string"  },  "created_at": "2019-08-24T14:15:22Z",  "updated_at": "2019-08-24T14:15:22Z"}